
 //+------------------------------------------------------------------+
 //|                                                                  |
 //|                         www.forexdyr.com                         |
 //|                         King_Prog                                |
 //+------------------------------------------------------------------+
   
#property copyright "King_Brog"
#property link      "www.forexdyr.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern int period=14;
extern int applied_price=0;
extern double StrengthLevel=15;
extern bool EnableAlert=true;
extern bool EnableSendMail=false;
extern bool EnableComment=true;

datetime Timee;
datetime Timem;
double Up_Arrow[];
double Dn_Arrow[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,Up_Arrow);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,233);
   SetIndexBuffer(1,Dn_Arrow);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,234);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
 {
  Comment("");
  return(0);
 }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
 { 
  if(EnableComment)Comment("King_Prog"+"\n"+"www.forexdyr.com");  
   
  int bars=Bars-IndicatorCounted();
  
  for(int i=1;i<=bars;i++)
  {
   int counter=i;
   double Range=0;
   double AvgRange=0;
   for (counter=i ;counter<=i+9;counter++)
   {
    AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
   }
   Range=AvgRange/10;
   double ADX_Main=iADX(Symbol(),0,period,applied_price,MODE_MAIN,i);   
   double ADX_P=iADX(Symbol(),0,period,applied_price,MODE_PLUSDI,i);  
   double ADX_M=iADX(Symbol(),0,period,applied_price,MODE_MINUSDI,i);  
   double ADX_Ppr=iADX(Symbol(),0,period,applied_price,MODE_PLUSDI,i+1);  
   double ADX_Mpr=iADX(Symbol(),0,period,applied_price,MODE_MINUSDI,i+1);  
   if(ADX_P>ADX_M&&ADX_Ppr<=ADX_Mpr&&ADX_Main>=StrengthLevel)
   {
    Up_Arrow[i] = Low[i] - Range*0.5;
    if(Timee!=Time[0]&&Up_Arrow[1]<5000&&EnableAlert)
    {
     Alert("ADX Buy Signal: ",Symbol(),"  TimeFrame: ",Period()+"M");
     Timee=Time[0];
    }     
    if(EnableSendMail&&Timem!=Time[0])
     {
      SendMail("ADX Buy Signal","ADX Buy Signal:  "+Symbol()+" TimeFrame: "+Period());
      Timem=Time[0];
     }
   }
   if(ADX_P<ADX_M&&ADX_Ppr>=ADX_Mpr&&ADX_Main>=StrengthLevel)
   {
    Dn_Arrow[i] = High[i] + Range*0.5;
    if(Timee!=Time[0]&&Dn_Arrow[1]<5000&&EnableAlert)
    {
     Alert("ADX Sell Signal: ",Symbol(),"  TimeFrame: ",Period()+"M");
     Timee=Time[0];
    }   
    if(EnableSendMail&&Timem!=Time[0])
     {
      SendMail("ADX Sell Signal","ADX Sell Signal: "+Symbol()+" TimeFrame: "+Period());
      Timem=Time[0];
     }    
    }     
   }     
 }